1

Having trouble configuring emacs 24 on Mac OS X to work with cocosAspell.

Installed MacTex dist. with success; Installed AUCTex through emacs package manager; Downloaded and installed the brazilian portuguese dic. for Aspell: aspell6-pt_BR-20090702-0; tried to config my .emacs files reading a lot of sources but none worked. Does anyone uses multi languages configurations like this? How do you set up your .emacs file?

My objective is to use both english and brazilian portuguese dicts.

Please! need help with this.

3
  • 1
    How about installing just the regular Aspell built on OSX, instead of "cocoAspell", and then use the regular Aspell dictionaries for English and Portuguese"? Here is a link to an example that I use to switch between Aspell dictionaries of English and Spanish, as well as my own personal dictionaries for each language -- this example contemplates that the generic version of Aspell is already installed and working properly: stackoverflow.com/a/27551890/2112489
    – lawlist
    Jan 18 '15 at 4:01
  • @lawlist thanks for the help. I removed cocoAspell and installed the homebrew spell package with en and pt_BR dictionaries: $ brew install aspell --with-lang-en --with-lang-pt_BR. I will test from emacs right now and will let you know if it's working. Jan 19 '15 at 15:07
  • @lawlist Yeah! now it's working like a breeze. Both languages are available inside emacs now. Jan 19 '15 at 15:20
1

Resolved by removing cocoAspell and installing aspell with homebrew.

brew install aspell --with-lang-en --with-lang-pt_BR

check your installed dicts:

aspell dump dicts

remembering that i had to manually remove cocoAspell installation — but brew install reminds you the files conflicting with the new install.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.